DS_APPEND_GEN_STRUCT(3)

FUNCTION
ds_append_gen_struct - Append a general data structure to a multi_array structure.

SYNOPSIS
#include <karma_ds.h>

flag ds_append_gen_struct

(multi_array *multi_desc, packet_desc *pack_desc, char *packet, char *existing_arrayname, char *append_arrayname)

DESCRIPTION
This routine will append a general data structure to a multi_array general data structure.

multi_desc
    The multi-array general data structure to append to.

pack_desc
    The top level packet descriptor of the general data structure to append.

packet
    The corresponding data for the general data structure.

existing_arrayname
    If the multi-array data structure previously had only one general data structure, then this name will become the arrayname for that data structure.

append_arrayname
    The name of the appended data structure.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/